#include "MainWindow.h"
#include "Game.h"

Game::Game(MainWindow& wnd) : wnd(wnd), gfx(wnd)
{
}

void Game::Initialize()
{
    world.Initialize(gfx);
}

void Game::Update()
{
    world.Update(wnd.kbd, wnd.mouse);
}

void Game::Render()
{
    gfx.BeginFrame();

    world.Render();

    gfx.EndFrame();
}

void Game::Destroy()
{
}