#ifndef _POINT_H_
#define _POINT_H_

class Point
{
public:
    Point() = default;
    Point(int x, int y);
    Point operator+(const Point& rhs) const;
    Point& operator+=(const Point& rhs);
    Point operator*(int rhs) const;
    Point& operator*=(int rhs);
    Point operator-(const Point& rhs) const;
    Point& operator-=(const Point& rhs);
    Point operator/(int rhs) const;
    Point& operator/=(int rhs);
    float GetLength() const;
    int GetLengthSq() const;
public:
    int x;
    int y;
};

#endif
