#ifndef _SPRITE_H_
#define _SPRITE_H_

#include <array>
#include "Colors.h"
#include "Tile.h"
#include "Surface.h"

class Sprite
{
public:
    Sprite();
    Sprite(std::string filename, std::string name, int x, int y);
    Sprite(Surface surface, std::string tileName, int x, int y);
    ~Sprite();
    void Load(Surface surface, std::string tileName, int x, int y);
    void Load(std::string filename, std::string tileName, int x, int y);
    Color** Get();
public:
    std::string name;
    class Color** color;
};

#endif
