#ifndef _TILE_H_
#define _TILE_H_

#include "Surface.h"

class Tile
{
public:
    enum Type
    {
        Void,
        DeepWater,
        Water,
        Dirt,
        Sand,
        Pasture,
        Meadow,
        Prairie,
        GrassyTundra,
        FrozenTundra
    };

public:
    Tile();
    ~Tile();
    void Initialize(int x, int y);
    int spriteX = 0;
    int spriteY = 0;
};

#endif