#ifndef _CONSTANTS_H_
#define _CONSTANTS_H_

class Constants
{
public:
    // World rows and collumns
    const static unsigned char WorldWidth = 255;
    const static unsigned char WorldHeight = 255;

    // The height and width of terrain loaded at a time
    const static unsigned char ChunkWidth = 32;
    const static unsigned char ChunkHeight = 32;

    // Tile pixel dimensions
    const static unsigned char TileWidth = 32;
    const static unsigned char TileHeight = 16;

    // What's visible on screen
    const static unsigned char RenderWidth = 25;
    const static unsigned char RenderHeight = 25;

    const static signed Seed = 237;
};

#endif